package com.foreverwin.mesnac.production.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-29
 */

@TableName("SFC_DATA")
public class SfcData extends Model<SfcData> {

   private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("SFC_BO")
   private String sfcBo;
   @TableField("DATE_TIME")
   private LocalDateTime dateTime;
   @TableField("DATA_FIELD")
   private String dataField;
   @TableField("DATA_ATTR")
   private String dataAttr;
   @TableField("USER_BO")
   private String userBo;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSfcBo() {
      return sfcBo;
   }

   public void setSfcBo(String sfcBo) {
      this.sfcBo = sfcBo;
   }

   public LocalDateTime getDateTime() {
      return dateTime;
   }

   public void setDateTime(LocalDateTime dateTime) {
      this.dateTime = dateTime;
   }

   public String getDataField() {
      return dataField;
   }

   public void setDataField(String dataField) {
      this.dataField = dataField;
   }

   public String getDataAttr() {
      return dataAttr;
   }

   public void setDataAttr(String dataAttr) {
      this.dataAttr = dataAttr;
   }

   public String getUserBo() {
      return userBo;
   }

   public void setUserBo(String userBo) {
      this.userBo = userBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public static final String HANDLE = "HANDLE";

   public static final String SFC_BO = "SFC_BO";

   public static final String DATE_TIME = "DATE_TIME";

   public static final String DATA_FIELD = "DATA_FIELD";

   public static final String DATA_ATTR = "DATA_ATTR";

   public static final String USER_BO = "USER_BO";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SfcData{" +
         "handle = " + handle +
         ", sfcBo = " + sfcBo +
         ", dateTime = " + dateTime +
         ", dataField = " + dataField +
         ", dataAttr = " + dataAttr +
         ", userBo = " + userBo +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}